Commit da21e84e authored by Cool Fire's avatar Cool Fire
Browse files

Add fail2ban module and update for compatibility reasons

parent 4071d011
Pipeline #708 passed with stages
in 12 minutes and 15 seconds
......@@ -7,6 +7,7 @@ mod 'arioch-redis', '3.3.0'
mod 'danfoster-sysfs'
mod 'KyleAnderson-consul'
mod 'lvicainne-opendkim', '0.2.6'
mod 'puppet-fail2ban'
mod 'puppet-letsencrypt'
mod 'puppet-logrotate'
mod 'puppet-nginx'
......
FORGE
remote: https://forgeapi.puppetlabs.com
specs:
KyleAnderson-consul (3.3.0)
KyleAnderson-consul (3.4.0)
camptocamp-systemd (< 2.0.0, >= 1.1.1)
puppet-archive (< 3.0.0, >= 2.0.0)
puppet-archive (< 4.0.0, >= 2.0.0)
puppetlabs-powershell (< 3.0.0, >= 2.1.3)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
arioch-redis (3.3.0)
......@@ -23,34 +23,39 @@ FORGE
herculesteam-augeasproviders_core (< 3.0.0, >= 2.1.0)
lvicainne-opendkim (0.2.6)
puppetlabs-stdlib (< 5.0.0, >= 4.13.0)
puppet-archive (2.3.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppet-letsencrypt (2.2.0)
puppet-archive (3.2.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppet-extlib (2.3.1)
puppetlabs-stdlib (< 6.0.0, >= 4.6.0)
puppet-fail2ban (2.3.0)
puppet-extlib (< 3.0.0, >= 2.3.0)
puppetlabs-stdlib (< 5.0.0, >= 4.25.0)
puppet-letsencrypt (2.4.0)
puppetlabs-inifile (< 3.0.0, >= 2.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-vcsrepo (< 3.0.0, >= 2.0.0)
stahnma-epel (< 2.0.0, >= 1.0.0)
puppet-logrotate (3.2.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppet-nginx (0.10.0)
puppet-logrotate (3.3.0)
puppetlabs-stdlib (< 5.0.0, >= 4.22.0)
puppet-nginx (0.13.0)
puppetlabs-concat (< 5.0.0, >= 3.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-stdlib (< 5.0.0, >= 4.22.0)
puppet-nodejs (5.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppet-staging (3.1.0)
puppet-staging (3.2.0)
puppetlabs-apt (4.5.1)
puppetlabs-stdlib (< 5.0.0, >= 4.16.0)
puppetlabs-concat (4.1.1)
puppetlabs-concat (4.2.1)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-firewall (1.12.0)
puppetlabs-stdlib (< 5.0.0, >= 4.0.0)
puppetlabs-inifile (2.2.0)
puppetlabs-mysql (5.3.0)
puppetlabs-inifile (2.3.0)
puppetlabs-mysql (6.0.0)
puppet-staging (< 4.0.0, >= 1.0.1)
puppetlabs-stdlib (< 5.0.0, >= 3.2.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-powershell (2.1.3)
puppetlabs-stdlib (4.24.0)
puppetlabs-powershell (2.1.5)
puppetlabs-stdlib (4.25.1)
puppetlabs-tftp (1.0.0)
puppetlabs-xinetd (< 4.0.0, >= 1.1.0)
puppetlabs-translate (1.1.0)
......@@ -59,11 +64,11 @@ FORGE
puppetlabs-stdlib (< 5.0.0, >= 4.6.0)
razorsedge-snmp (3.9.0)
puppetlabs-stdlib (< 5.0.0, >= 2.3.0)
saz-resolv_conf (3.3.0)
saz-resolv_conf (4.0.0)
puppetlabs-stdlib (< 5.0.0, >= 2.6.0)
saz-sudo (5.0.0)
puppetlabs-stdlib (< 5.0.0, >= 2.6.0)
stahnma-epel (1.3.0)
stahnma-epel (1.3.1)
puppetlabs-stdlib (>= 3.0.0)
thias-sysctl (1.0.6)
......@@ -83,6 +88,7 @@ DEPENDENCIES
danfoster-sysfs (>= 0)
garethr-docker (>= 0)
lvicainne-opendkim (= 0.2.6)
puppet-fail2ban (>= 0)
puppet-letsencrypt (>= 0)
puppet-logrotate (>= 0)
puppet-nginx (>= 0)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment